Skip to content
Framework Docs

Create Directory

client.beta.directories.create(DirectoryCreateParams { name, organization_id, project_id, 4 more } params, RequestOptionsoptions?): DirectoryCreateResponse { id, name, project_id, 7 more }
POST/api/v1/beta/directories

Create a new directory within the specified project.

ParametersExpand Collapse
params: DirectoryCreateParams { name, organization_id, project_id, 4 more }
name: string

Body param: Human-readable name for the directory.

minLength1
organization_id?: string | null

Query param

formatuuid
project_id?: string | null

Query param

formatuuid
description?: string | null

Body param: Optional description shown to users.

expires_at?: string | null

Body param: When this directory expires. Required for ephemeral directories.

formatdate-time
system_metadata?: Record<string, unknown> | null

Body param: Reserved system-managed metadata.

type?: "user" | "ephemeral"

Body param: Directory type. Use 'ephemeral' for batch processing with automatic cleanup.

One of the following:
"user"
"ephemeral"
ReturnsExpand Collapse
DirectoryCreateResponse { id, name, project_id, 7 more }

API response schema for a directory.

id: string

Unique identifier for the directory.

name: string

Human-readable name for the directory.

minLength1
project_id: string

Project the directory belongs to.

created_at?: string | null

Creation datetime

formatdate-time
deleted_at?: string | null

Optional timestamp of when the directory was deleted. Null if not deleted.

formatdate-time
description?: string | null

Optional description shown to users.

expires_at?: string | null

When this directory expires and is eligible for cleanup.

formatdate-time
system_metadata?: Record<string, unknown> | null

Reserved system-managed metadata.

type?: "user" | "index" | "ephemeral" | "system_ephemeral" | null

Directory type: 'user', 'index', 'ephemeral', or 'system_ephemeral'.

One of the following:
"user"
"index"
"ephemeral"
"system_ephemeral"
updated_at?: string | null

Update datetime

formatdate-time

Create Directory

import LlamaCloud from '@llamaindex/llama-cloud';

const client = new LlamaCloud({
  apiKey: process.env['LLAMA_CLOUD_API_KEY'], // This is the default and can be omitted
});

const directory = await client.beta.directories.create({ name: 'x' });

console.log(directory.id);
{
  "id": "id",
  "name": "x",
  "project_id": "project_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "expires_at": "2019-12-27T18:11:19.117Z",
  "system_metadata": {
    "foo": "bar"
  },
  "type": "user",
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "id": "id",
  "name": "x",
  "project_id": "project_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "expires_at": "2019-12-27T18:11:19.117Z",
  "system_metadata": {
    "foo": "bar"
  },
  "type": "user",
  "updated_at": "2019-12-27T18:11:19.117Z"
}